Bug 1541967 - test_gdb check fails on x86_64
Summary: test_gdb check fails on x86_64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Victor Stinner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1638798 1667919
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-05 10:36 UTC by Tomas Orsava
Modified: 2019-02-21 11:29 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 11:29:16 UTC
Type: Bug


Attachments (Terms of Use)
build log (4.32 MB, text/plain)
2018-02-05 10:36 UTC, Tomas Orsava
no flags Details


Links
System ID Priority Status Summary Last Updated
Python 32962 None None None 2018-02-27 09:03:34 UTC

Description Tomas Orsava 2018-02-05 10:36:57 UTC
Created attachment 1391420 [details]
build log

Description of problem:

[...]
Re-running test 'test_gdb' in verbose mode
GDB version 8.0:
    GNU gdb (GDB) Fedora 8.0.90.20180109-2.fc28
    Copyright (C) 2018 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "x86_64-redhat-linux-gnu".
    Type "show configuration" for configuration details.
    For bug reporting instructions, please see:
    <http://www.gnu.org/software/gdb/bugs/>.
    Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.
    For help, type "help".
    Type "apropos word" to search for commands related to "word".
test_NULL_ob_type (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with NULL ob_type is handled gracefully ... ok
test_NULL_ptr (test.test_gdb.PrettyPrintTests)
Ensure that a NULL PyObject* is handled gracefully ... ok
test_builtin_method (test.test_gdb.PrettyPrintTests) ... FAIL
test_builtins_help (test.test_gdb.PrettyPrintTests)
Ensure that the new-style class _Helper in site.py can be handled ... FAIL
test_bytes (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of bytes ... FAIL
test_corrupt_ob_type (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a corrupt ob_type is handled gracefully ... ok
test_corrupt_tp_flags (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a type with corrupt tp_flags is handled ... ok
test_corrupt_tp_name (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with a type with corrupt tp_name is handled ... ok
test_dicts (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of dictionaries ... FAIL
test_exceptions (test.test_gdb.PrettyPrintTests) ... FAIL
test_frames (test.test_gdb.PrettyPrintTests) ... FAIL
test_frozensets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of frozensets ... FAIL
test_getting_backtrace (test.test_gdb.PrettyPrintTests) ... ok
test_int (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of various int values ... FAIL
test_lists (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of lists ... FAIL
test_modern_class (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of new-style class instances ... FAIL
test_selfreferential_dict (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a dict doesn't lead proxyval ... FAIL
test_selfreferential_list (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a list doesn't lead proxyval ... FAIL
test_selfreferential_new_style_instance (test.test_gdb.PrettyPrintTests) ... FAIL
test_selfreferential_old_style_instance (test.test_gdb.PrettyPrintTests) ... FAIL
test_sets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of sets ... FAIL
test_singletons (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of True, False and None ... FAIL
test_strings (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of unicode strings ... FAIL
test_subclassing_list (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a list subclass ... FAIL
test_subclassing_tuple (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a tuple subclass ... FAIL
test_truncation (test.test_gdb.PrettyPrintTests)
Verify that very long output is truncated ... FAIL
test_tuples (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of tuples ... FAIL
test_basic_command (test.test_gdb.PyListTests)
Verify that the "py-list" command works ... FAIL
test_one_abs_arg (test.test_gdb.PyListTests)
Verify the "py-list" command with one absolute argument ... FAIL
test_two_abs_args (test.test_gdb.PyListTests)
Verify the "py-list" command with two absolute arguments ... FAIL
test_down_at_bottom (test.test_gdb.StackNavigationTests)
Verify handling of "py-down" at the bottom of the stack ... FAIL
test_pyup_command (test.test_gdb.StackNavigationTests)
Verify that the "py-up" command works ... FAIL
test_up_at_top (test.test_gdb.StackNavigationTests)
Verify handling of "py-up" at the top of the stack ... FAIL
test_up_then_down (test.test_gdb.StackNavigationTests)
Verify "py-up" followed by "py-down" ... FAIL
test_bt (test.test_gdb.PyBtTests)
Verify that the "py-bt" command works ... FAIL
test_bt_full (test.test_gdb.PyBtTests)
Verify that the "py-bt-full" command works ... FAIL
test_gc (test.test_gdb.PyBtTests)
Verify that "py-bt" indicates if a thread is garbage-collecting ... ok
test_pycfunction (test.test_gdb.PyBtTests)
Verify that "py-bt" displays invocations of PyCFunction instances ... ok
test_threads (test.test_gdb.PyBtTests)
Verify that "py-bt" indicates threads that are waiting for the GIL ... ok
test_wrapper_call (test.test_gdb.PyBtTests) ... FAIL
test_basic_command (test.test_gdb.PyPrintTests)
Verify that the "py-print" command works ... FAIL
test_print_after_up (test.test_gdb.PyPrintTests) ... FAIL
test_printing_builtin (test.test_gdb.PyPrintTests) ... FAIL
test_printing_global (test.test_gdb.PyPrintTests) ... FAIL
test_basic_command (test.test_gdb.PyLocalsTests) ... FAIL
test_locals_after_up (test.test_gdb.PyLocalsTests) ... FAIL
======================================================================
FAIL: test_builtin_method (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 617, in test_builtin_method
    (gdb_repr, gdb_output))
AssertionError: None is not true : Unexpected gdb representation: '<unknown at remote 0x555555759c40>'
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<unknown at remote 0x555555759c40>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<unknown at remote 0x555555759c40>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_builtins_help (test.test_gdb.PrettyPrintTests)
Ensure that the new-style class _Helper in site.py can be handled
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 523, in test_builtins_help
    msg='Unexpected rendering %r' % gdb_repr)
AssertionError: None is not true : Unexpected rendering '<unknown at remote 0x7fffffffc7a8>'
======================================================================
FAIL: test_bytes (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of bytes
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 307, in test_bytes
    self.assertGdbRepr(b'')
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: "<CodecInfo(name='utf-8', encode=<built-in[326 chars]3b8>" != "b''"
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ b''
 : "<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>" did not equal expected "b''"; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_dicts (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of dictionaries
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 295, in test_dicts
    self.assertGdbRepr({})
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: "<CodecInfo(name='utf-8', encode=<built-i[327 chars]3b8>" != '{}'
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ {}
 : "<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>" did not equal expected '{}'; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_exceptions (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 393, in test_exceptions
    ''')
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 241, in get_gdb_repr
    import_site=import_site)
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[197 chars]e: "] != []
First list contains 2 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xb0 in position 0: invalid start byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xb0 in position 0: invalid start byte: ',
-  "Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xb0 in position 0: invalid start byte: ']
======================================================================
FAIL: test_frames (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 627, in test_frames
    cmds_after_breakpoint=['print (PyFrameObject*)(((PyCodeObject*)v)->co_zombieframe)']
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ['Cannot access memory at address 0x90'] != []
First list contains 1 additional elements.
First extra element 0:
'Cannot access memory at address 0x90'
- ['Cannot access memory at address 0x90']
+ []
======================================================================
FAIL: test_frozensets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of frozensets
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 379, in test_frozensets
    self.assertGdbRepr(frozenset(), "frozenset()")
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: '()' != 'frozenset()'
- ()
+ frozenset()
 : '()' did not equal expected 'frozenset()'; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=()) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=()) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_int (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of various int values
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 281, in test_int
    self.assertGdbRepr(42)
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: "<CodecInfo(name='utf-8', encode=<built-i[327 chars]3b8>" != '42'
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ 42
 : "<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>" did not equal expected '42'; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_lists (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of lists
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 302, in test_lists
    self.assertGdbRepr([])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: "<CodecInfo(name='utf-8', encode=<built-i[327 chars]3b8>" != '[]'
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ []
 : "<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>" did not equal expected '[]'; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_modern_class (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of new-style class instances
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 418, in test_modern_class
    msg='Unexpected new-style class rendering %r' % gdb_repr)
AssertionError: None is not true : Unexpected new-style class rendering '<unknown at remote 0x7ffff7e47360>'
======================================================================
FAIL: test_selfreferential_dict (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a dict doesn't lead proxyval
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 542, in test_selfreferential_dict
    self.assertEqual(gdb_repr, "{'foo': {'bar': {...}}}")
AssertionError: "<CodecInfo(name='utf-8', encode=<built-in[326 chars]3b8>" != "{'foo': {'bar': {...}}}"
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ {'foo': {'bar': {...}}}
======================================================================
FAIL: test_selfreferential_list (test.test_gdb.PrettyPrintTests)
Ensure that a reference loop involving a list doesn't lead proxyval
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 530, in test_selfreferential_list
    self.assertEqual(gdb_repr, '[3, 4, 5, [...]]')
AssertionError: '<unknown at remote 0xf7e4a1a8>' != '[3, 4, 5, [...]]'
- <unknown at remote 0xf7e4a1a8>
+ [3, 4, 5, [...]]
======================================================================
FAIL: test_selfreferential_new_style_instance (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 568, in test_selfreferential_new_style_instance
    (gdb_repr, gdb_output))
AssertionError: None is not true : Unexpected gdb representation: '<unknown at remote 0x7ffff7e47360>'
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<unknown at remote 0x7ffff7e47360>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<unknown at remote 0x7ffff7e47360>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_selfreferential_old_style_instance (test.test_gdb.PrettyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 555, in test_selfreferential_old_style_instance
    (gdb_repr, gdb_output))
AssertionError: None is not true : Unexpected gdb representation: '<unknown at remote 0x7ffff7e47360>'
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<unknown at remote 0x7ffff7e47360>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<unknown at remote 0x7ffff7e47360>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_sets (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of sets
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 361, in test_sets
    self.assertGdbRepr(set(), "set()")
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: '()' != 'set()'
- ()
+ set()
 : '()' did not equal expected 'set()'; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=()) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=()) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_singletons (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of True, False and None
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 289, in test_singletons
    self.assertGdbRepr(True)
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: "<CodecInfo(name='utf-8', encode=<built-i[327 chars]3b8>" != 'True'
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ True
 : "<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>" did not equal expected 'True'; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_strings (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of unicode strings
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 331, in test_strings
    self.assertGdbRepr('')
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: "<CodecInfo(name='utf-8', encode=<built-in[326 chars]3b8>" != "''"
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ ''
 : "<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>" did not equal expected "''"; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_subclassing_list (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a list subclass
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 432, in test_subclassing_list
    msg='Unexpected new-style class rendering %r' % gdb_repr)
AssertionError: None is not true : Unexpected new-style class rendering '<unknown at remote 0x7ffff7e475b8>'
======================================================================
FAIL: test_subclassing_tuple (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of an instance of a tuple subclass
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 447, in test_subclassing_tuple
    msg='Unexpected new-style class rendering %r' % gdb_repr)
AssertionError: None is not true : Unexpected new-style class rendering '<unknown at remote 0x7ffff7e47360>'
======================================================================
FAIL: test_truncation (test.test_gdb.PrettyPrintTests)
Verify that very long output is truncated
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 588, in test_truncation
    "[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, "
AssertionError: '<unknown at remote 0x7ffff7e395d0>' != '[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12[993 chars]ted)'
Diff is 1079 characters long. Set self.maxDiff to None to see it.
======================================================================
FAIL: test_tuples (test.test_gdb.PrettyPrintTests)
Verify the pretty-printing of tuples
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 353, in test_tuples
    self.assertGdbRepr(tuple(), '()')
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 277, in assertGdbRepr
    % (gdb_repr, exp_repr, gdb_output)))
AssertionError: "<CodecInfo(name='utf-8', encode=<built-i[327 chars]3b8>" != '()'
- <CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>
+ ()
 : "<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>" did not equal expected '()'; full output was:
Breakpoint 1 (builtin_id) pending.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Breakpoint 1, builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
1120	{
#0  builtin_id (self=, v=<CodecInfo(name='utf-8', encode=<built-in method utf_8_encode of module object at remote 0x7ffff7e87ad8>, decode=<function at remote 0x7ffff7e19560>, incrementalencoder=<type at remote 0x5555557b26e8>, incrementaldecoder=<type at remote 0x5555557b2ae8>, streamwriter=<type at remote 0x5555557b2ee8>, streamreader=<type at remote 0x5555557b32e8>) at remote 0x7ffff7e7e3b8>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120
======================================================================
FAIL: test_basic_command (test.test_gdb.PyListTests)
Verify that the "py-list" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 643, in test_basic_command
    cmds_after_breakpoint=['py-list'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_one_abs_arg (test.test_gdb.PyListTests)
Verify the "py-list" command with one absolute argument
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 658, in test_one_abs_arg
    cmds_after_breakpoint=['py-list 9'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_two_abs_args (test.test_gdb.PyListTests)
Verify the "py-list" command with two absolute arguments
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 669, in test_two_abs_args
    cmds_after_breakpoint=['py-list 1,3'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_down_at_bottom (test.test_gdb.StackNavigationTests)
Verify handling of "py-down" at the bottom of the stack
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 694, in test_down_at_bottom
    cmds_after_breakpoint=['py-down'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_pyup_command (test.test_gdb.StackNavigationTests)
Verify that the "py-up" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 683, in test_pyup_command
    cmds_after_breakpoint=['py-up', 'py-up'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_up_at_top (test.test_gdb.StackNavigationTests)
Verify handling of "py-up" at the top of the stack
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 702, in test_up_at_top
    cmds_after_breakpoint=['py-up'] * 5)
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_up_then_down (test.test_gdb.StackNavigationTests)
Verify "py-up" followed by "py-down"
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 712, in test_up_then_down
    cmds_after_breakpoint=['py-up', 'py-up', 'py-down'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_bt (test.test_gdb.PyBtTests)
Verify that the "py-bt" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 727, in test_bt
    cmds_after_breakpoint=['py-bt'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_bt_full (test.test_gdb.PyBtTests)
Verify that the "py-bt-full" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 747, in test_bt_full
    cmds_after_breakpoint=['py-bt-full'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_wrapper_call (test.test_gdb.PyBtTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 866, in test_wrapper_call
    r"<method-wrapper u?'__init__' of MyList object at ")
AssertionError: Regex didn't match: "<method-wrapper u?'__init__' of MyList object at " not found in 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=<unknown at remote 0xf7e4d238>) at /builddir/build/BUILD/Python-3.6.4/Python/bltinmodule.c:1120\n1120\t{\nBreakpoint 2: file /builddir/build/BUILD/Python-3.6.4/Objects/descrobject.c, line 1166.\n\nBreakpoint 2, wrapper_call (wp=<unknown at remote 0x7ffff7e71798>, args=0x0, kwds=<unknown at remote 0x7ffff77e8081>) at /builddir/build/BUILD/Python-3.6.4/Objects/descrobject.c:1166\n1166\t{\nTraceback (most recent call first):\n  <unknown at remote 0x7ffff7e71798>\n  File "<string>", line 4, in __init__\n  File "<string>", line 7, in <module>\n'
======================================================================
FAIL: test_basic_command (test.test_gdb.PyPrintTests)
Verify that the "py-print" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 875, in test_basic_command
    cmds_after_breakpoint=['py-up', 'py-print args'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_print_after_up (test.test_gdb.PyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 884, in test_print_after_up
    cmds_after_breakpoint=['py-up', 'py-up', 'py-print c', 'py-print b', 'py-print a'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_printing_builtin (test.test_gdb.PyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 900, in test_printing_builtin
    cmds_after_breakpoint=['py-up', 'py-print len'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_printing_global (test.test_gdb.PyPrintTests)test test_gdb failed
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 892, in test_printing_global
    cmds_after_breakpoint=['py-up', 'py-print __name__'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_basic_command (test.test_gdb.PyLocalsTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 909, in test_basic_command
    cmds_after_breakpoint=['py-up', 'py-locals'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
======================================================================
FAIL: test_locals_after_up (test.test_gdb.PyLocalsTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 918, in test_locals_after_up
    cmds_after_breakpoint=['py-up', 'py-up', 'py-locals'])
  File "/builddir/build/BUILD/Python-3.6.4/Lib/test/test_gdb.py", line 219, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ["Python Exception <class 'UnicodeDecodeEr[82 chars]e: "] != []
First list contains 1 additional elements.
First extra element 0:
"Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode byte 0xf3 in position 0: invalid continuation byte: "
+ []
- ["Python Exception <class 'UnicodeDecodeError'> 'utf-8' codec can't decode "
-  'byte 0xf3 in position 0: invalid continuation byte: ']
----------------------------------------------------------------------
Ran 46 tests in 20.175s
FAILED (failures=37)
1 test failed again:
    test_gdb
Total duration: 29 min 42 sec
Tests result: FAILURE






Version-Release number of selected component (if applicable):
python3-3.6.4-9.fc28

How reproducible:


Steps to Reproduce:
1. Enable test_gdb in python3 spec file (if it's disabled)
2. Build python3 in Koji for x86_64 architecture

Comment 1 Tomas Orsava 2018-02-05 10:43:25 UTC
This issue does not appear to be similar to the reported test_gdb failure on PPC: bz#1132488.

Comment 2 Fedora End Of Life 2018-02-20 15:34:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Iryna Shcherbina 2018-02-21 16:37:40 UTC
test_gdb does not fail with Python 3.7 on x86_64, but so far I do not see what fixed it. Also I can not reproduce this when running the tests on Fedora Rawhide from cpython source on v3.6.4 tag.

This happens though in mock and Koji, still investigating.

Comment 4 Iryna Shcherbina 2018-02-26 20:38:06 UTC
The failures can be reproduced on Fedora 28 from source:

./configure --with-pydebug
make 'EXTRA_CFLAGS=-mcet -fcf-protection -O0'
make test TESTOPTS='-v test_gdb'


The test test_gdb fails only in debug build, and only if built with control flow protection [0] flags `-mcet -fcf-protection` AND optimization `-O0`.

[0] https://fedoraproject.org/wiki/Changes/HardeningFlags28

Comment 5 Charalampos Stratakis 2018-02-26 23:05:52 UTC
This issue should be reported upstream. I'll see if I can bisect the fix.

Comment 6 Jan Kurik 2018-08-14 10:16:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Petr Viktorin 2018-09-24 12:45:09 UTC
Should be fixed in the next upstream release. We should re-enable the tests then.

Comment 8 Victor Stinner 2018-11-19 11:00:43 UTC
test_gdb is currently broken on Fedora 29 because of a gdb bug: bug #1639242 ( gdb fails to read debug symbols).

Comment 9 Victor Stinner 2019-01-07 13:41:29 UTC
It's a bug in gdb: see bz#1638798.

Comment 10 Victor Stinner 2019-01-21 21:24:07 UTC
gdb has been fixed in Fedora Rawhide: bz#1638798.

Comment 11 Victor Stinner 2019-01-24 10:51:47 UTC
The "py-bt" gdb command works as expected on python3 (python3-3.7.2-1.fc29.x86_64).

test_gdb pass on Python 3.6.8 and 3.7.2 (at least when compiled manually using "./configure && make").

Since this issue has been reported, I fixed multiple test_gdb bugs upstreams and fixes are part of 3.6.8 and 3.7.2 releases.

> It's a bug in gdb: see bz#1638798.
> gdb has been fixed in Fedora Rawhide: bz#1638798.

I'm sorry, I was confused. Fedora 29 and Rawhide don't use the same gdb version. gdb in Fedora 29 wasn't affected by the gdb bug of Rawhide.

Comment 12 Miro Hrončok 2019-01-24 13:02:57 UTC
we need to unskip it before we close this.

Comment 13 Victor Stinner 2019-02-18 12:57:50 UTC
> we need to unskip it before we close this.

Alright. I planned to unskip the test after closing the issue, but I'm fine with keeping the BZ issue open until the package is updated.

I wrote https://src.fedoraproject.org/rpms/python3/pull-request/89 but I have multiple issues to get this change merged... test_gdb still fails on arm and s390x:
* armv7hl: https://bugzilla.redhat.com/show_bug.cgi?id=1196181
* s390x: https://bugzilla.redhat.com/show_bug.cgi?id=1678277

I plan to at least reenable test_gdb on x86-64 (in practice: reenable test_gdb on all archs except arm and s390x).

Comment 14 Victor Stinner 2019-02-19 16:49:24 UTC
I created https://src.fedoraproject.org/rpms/python3/pull-request/93 to reenable test_gdb.

Comment 15 Victor Stinner 2019-02-21 11:29:16 UTC
https://src.fedoraproject.org/rpms/python3/pull-request/93 has been merged into the f29 branch:
https://src.fedoraproject.org/rpms/python3/c/4bcbcff606bcac5cc7cbccf1192a01f2f89b899c?branch=f29

Since the change only impacts the build of the package, the package release is not incremented. I close the issue.


Note You need to log in before you can comment on or make changes to this bug.